<template lang="pug">
	aside#lateral.barraLateral
		buscador

		article.favoritos
			hgroup
				figure: img(src="@img/ico-favoritos.svg", alt="alt")
				//-h3 Favoritos
				router-link.enlace( to="/favoritos", tag="h3" ) Favoritos
			//-.lista
				//-.carpetaFavorita( v-for="item in favoritos.carpetas", :class="{ activa:( item.id == activa ) }" )
					a(href="#/archivos", title="title", :key="item.id", @click="activar( item.id )")
						figure: img(src="@img/ico-carpeta.svg", alt="alt")
						span {{item.nombre}}
				.archivoFavorito( v-for="item in favoritos" )
					a(href="#/archivos", title="title", :key="item.id")
						IconoFichero( :ext="item.tipo" )
						span {{item.nombre}}.{{item.tipo}}

		article.categorias
			hgroup
				figure: img(src="@img/ico-compartir.svg", alt="alt")
				h3 Categorias
			.lista
				ItemCategoria(
					v-for="categoria in categorias",
					:key="categoria.id",
					:categoria="categoria",
					@activar="activarCategoria",
					:activa="categoriaActiva"
				)
				//-div( v-for="carpeta in carpetas"): pre {{carpeta}}
		article.unidad
			hgroup
				figure: img(src="@img/ico-disco.svg", alt="alt")
				router-link.enlace( to="/disco", tag="h3" ) Mi unidad
			.lista
				ItemCarpeta(
					v-for="carpeta in carpetas",
					:key="carpeta.id",
					:carpeta="carpeta",
					@activar="activarCarpeta",
					:activa="carpetaActiva"
				)

		//-article.compartidas
			hgroup
				figure: img(src="@img/ico-compartir.svg", alt="alt")
				h3 Compartidos conmigo
			.lista
				ItemCarpeta( v-for="carpeta in compartidas", :key="carpeta.id", :carpeta="carpeta", :activa="activa")
				//-div( v-for="carpeta in carpetas"): pre {{carpeta}}
		article.etiquetas
			hgroup
				figure: img(src="@img/ico-etiquetas.svg", alt="alt")
				h3 Etiquetas
				router-link( :to="{ name: 'etiquetas' }" ) (Ver todas)
			.lista
				router-link.etiqueta(
					v-for="etiqueta, id in etiquetas",
					:key="id",
					:to="{ name: 'etiqueta', params: { id }}"
					tag="div"
					)
					span {{ etiqueta | capitalizar }}

				//-router-link.etiqueta( :to="{ name: 'disco' }" )
					strong Todas las etiquetas
				//-.etiqueta( v-for="etiqueta, id in etiquetas" )
					router-link( :to="{ name: 'etiqueta', params: { id }}" )
						//-figure: img(src="@img/ico-etiqueta.svg", alt="alt")
						span {{ etiqueta | capitalizar }}
				//-.etiqueta( v-for="item in etiquetas" )
					a(href="#/archivos/", title="title", :key="item.id")
						figure: img(src="@img/ico-etiqueta.svg", alt="alt")
						span {{item.nombre}}


</template>

<script>
	import Buscador from "@/components/Buscador";
	import ItemCarpeta from "@/components/ItemCarpeta";
	import ItemCategoria from "@/components/ItemCategoria";
	import IconoFichero from "@/components/IconoFichero";

	import { mapState } from "vuex";

	export default {
		name: "BarraLateral",
		components: {
			Buscador,
			ItemCarpeta,
			ItemCategoria,
			IconoFichero
		},
		data() {
			return {
				//carpetaActiva: 0,
				//categoriaActiva: 0
			};
		},
		computed: {
			...mapState(["categorias", "carpetas", "etiquetas", "favoritos"]),
			...mapState({
				carpetaActiva: state => (state.carpeta ? parseInt(state.carpeta.id) : 0),
				categoriaActiva: state => (state.categoria ? parseInt(state.categoria.id) : 0)
			})
		},
		methods: {
			activarCarpeta(id) {
				// this.carpetaActiva = parseInt(id);
				// this.categoriaActiva = 0;
			},
			activarCategoria(id) {
				// this.categoriaActiva = parseInt(id);
				// this.carpetaActiva = 0;
			}
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	#lateral
		background-color azul

	article
		padding 0

		hgroup
			display flex
			align-items center

			figure
				flex 0 0 auto
				margin .5rem 1rem

			img
				width 23px

			h3
				color blanco
				font-weight 900
				font-size calcRem( 14 )

			.enlace
				cursor pointer

			a
				color blanco
				text-decoration none
				font-size calcRem( 12 )
				margin-left .2em

		.lista
			padding-top .25rem
			padding-bottom .25rem
			padding-right 1rem

	.itemFavorito
		padding .25rem .5rem
		border-radius 0 1rem 1rem 0

		&:hover
			background-color alpha( tint( azul, 20% ), 50% )

		&.activo,
		&.activa
			background-color tint( azul, 30% )

		a
			display flex
			align-items center
			color blanco
			text-decoration none
			font-size calcRem( 10.5 )
			margin-left 1rem

		figure
			flex 0 0 16px
			margin 0 1rem

		img
			width 16px
			height 24px

	.carpetaFavorita,
	.archivoFavorito,
	.etiqueta
		@extends .itemFavorito

	.etiquetas
		.lista
			display flex
			flex-wrap wrap
			margin-left 1rem

			.etiqueta
				flex 1 0 auto
				margin .2rem
				padding .2rem .4rem
				border 1px solid tint( azul, 40% )
				border-radius 1rem
				text-align center
				line-height 1.3
				font-size calcRem( 12 )
				cursor pointer
				color blanco

				&.activo
					background-color hover_lateral
</style>
